// Header to move a triangle

typedef struct tri_t TRIANGLE_T;

struct tri_t {
  int x,y;                // reference x and y coordinates
  int x1,y1,x2,y2,x3,y3;  // x and y for each vertex, relative to reference
  int col;                // colour
  int xs,ys;              // x speed, y speed
  int dx,dy;              // drawn x, drawn y
  };

TRIANGLE_T *tri_init(int new_x, int new_y, int new_col);
void tri_destroy (TRIANGLE_T *tri);
void tri_draw (TRIANGLE_T *tri, BITMAP *bmp);
void tri_update (TRIANGLE_T *tri);
void tri_erase (TRIANGLE_T *tri, BITMAP *bmp);


