#include <allegro.h>
#include "circle.h"
#include "main.h"
#include "input.h"

DIALOG menu_dlg[] =
{
  /* (dialog proc)     (x)   (y)   (w)   (h)   (fg)  (bg)  (key) (flags)     (d1)  (d2)  (dp) */
  { d_clear_proc,      0,    0,    640,  480,  15,   15,   0,    0,          0,    0,    NULL },
  { d_ctext_proc,      320,  20,   320,  16,    0,   15,   0,    0,          0,    0,    "Example menu" },
  { d_button_proc,     160,  50,   320,  16,    0,   15,   0,    D_EXIT,     0,    0,    "Redefine keyboard" },
  { d_button_proc,     160,  70,   320,  16,    0,   15,   0,    D_EXIT,     0,    0,    "Calibrate joystick" },
  { d_ctext_proc,      320,  94,   320,  16,    0,   15,   0,    D_EXIT,     0,    0,    "<-- fast |   mouse speed   | slow -->" },
  { d_slider_proc,     160, 110,   320,  16,    0,   15,   0,    D_EXIT,     20,   0,    NULL },
  { d_button_proc,     160, 130,   320,  16,    0,   15,   0,    D_EXIT,     0,    0,    "Exit" },
  { d_button_proc,     160, 150,   320,  16,    0,   15,   0,    D_EXIT,     0,    0,    "Return to example" },
  { NULL }
};

int menu(void)
{
  int ret;

  clear_keybuf();

  menu_dlg[5].d2 = get_mouse_speed()-1;

  ret = do_dialog(menu_dlg,2);

  switch (ret){
    case 2:
      redefine_keyboard();
      break;
    case 3:
      calibrate_our_joystick();
      break;
    case 6:
      end_game++;
      break;
    default:
      break;
  }
  clear_keybuf();

  change_mouse_speed(menu_dlg[5].d2+1);

  return 0;
}
