#include <stdio.h>
#include <allegro.h>

int main(void)
{
    allegro_init();

    install_keyboard();

    printf("\nPress always a key to see the next drawing primitive\n");

    readkey();

    if (set_gfx_mode(GFX_AUTODETECT, 320, 200, 0, 0) < 0) {
	printf("%s\n", allegro_error);
	exit(1);
    }
    clear_keybuf();
    while (!keypressed()) {
	vline(screen, rand() % SCREEN_W, rand() % 10, SCREEN_H - 1 - rand() % 10, rand() % 256);
    }

    clear_keybuf();
    while (!keypressed()) {
	hline(screen, rand() % 10, rand() % SCREEN_H, SCREEN_W - 1 - rand() % 10, rand() % 256);
    }

    clear_keybuf();
    while (!keypressed()) {
	line(screen, rand() % SCREEN_W, rand() % SCREEN_H,
	     rand() % SCREEN_W, rand() % SCREEN_H, rand() % 256);
    }

    clear_keybuf();
    while (!keypressed()) {
	triangle(screen, rand() % SCREEN_W, rand() % SCREEN_H,
		 rand() % SCREEN_W, rand() % SCREEN_H,
	       rand() % SCREEN_W, rand() % SCREEN_H, rand() % 256);
    }

    clear_keybuf();
    while (!keypressed()) {
	rect(screen, rand() % SCREEN_W, rand() % SCREEN_H,
	     rand() % SCREEN_W, rand() % SCREEN_H, rand() % 256);
    }

    clear_keybuf();
    while (!keypressed()) {
	rectfill(screen, rand() % SCREEN_W, rand() % SCREEN_H,
	       rand() % SCREEN_W, rand() % SCREEN_H, rand() % 256);
    }

    clear_keybuf();
    while (!keypressed()) {
	circle(screen, rand() % SCREEN_W, rand() % SCREEN_H,
	       rand() % (SCREEN_W / 2), rand() % 256);
    }

    clear_keybuf();
    while (!keypressed()) {
	circlefill(screen, rand() % SCREEN_W, rand() % SCREEN_H,
		   rand() % (SCREEN_H / 4), rand() % 256);
    }

    return 0;
}
END_OF_MAIN();
