// Header to move a square

typedef struct square_t SQUARE_T;

struct square_t {
   int x,y,w,h;       // x, y, width, height
   int col;           // colour
   int xs,ys;         // x speed, y speed
   int dx,dy;         // drawn x, drawn y
   };

SQUARE_T *square_init(int new_x, int new_y, int new_width, int new_height,
                      int new_col, int new_xs, int new_ys);
void square_destroy (SQUARE_T *square);
void square_draw (SQUARE_T *square, BITMAP *bmp);
void square_update (SQUARE_T *square);
void square_erase (SQUARE_T *square, BITMAP *bmp);

